%define anolis_release 2

%global xfceversion 4.16

%global namespc Libxfce4ui

Name:           libxfce4ui
Version:        4.16.1
Release: %{anolis_release}%{dist}
Summary:        Commonly used Xfce widgets

License:        LGPLv2+
URL:            http://xfce.org/
#VCS git:git://git.xfce.org/xfce/libxfce4ui
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2

## Downstream patches
# add more keyboard shortcuts to make multimedia keyboards work out of the box
# Terminal changed to xfce4-terminal in the patch
Patch10:        libxfce4ui-%{xfceversion}-keyboard-shortcuts.patch

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(gobject-2.0) >= 2.24.0
BuildRequires:  pkgconfig(gtk+-2.0) >= 2.20.0
BuildRequires:  libSM-devel
BuildRequires:  pkgconfig(libxfce4util-1.0) >= %{xfceversion}
BuildRequires:  pkgconfig(libxfconf-0) >= %{xfceversion}
BuildRequires:  pkgconfig(libstartup-notification-1.0) >= 0.4
BuildRequires:  gtk-doc
BuildRequires:  desktop-file-utils
BuildRequires:  gtk3-devel
BuildRequires:  glade-devel
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  gobject-introspection-devel
BuildRequires:  vala
BuildRequires:  make
BuildRequires:  libgtop2-devel

#
# libxfcegui4 was depreciated in the Xfce 4.8 days.
# Finally obsolete it now in 4.12
#
Obsoletes:      libxfcegui4 < 4.10.0-9

%description
Libxfce4ui is used to share commonly used Xfce widgets among the Xfce
applications.

%package -n     xfce4-about
Summary:        Xfce 4 'About' dialog

%description -n xfce4-about
This package contains the 'About Xfce' dialog with info on the desktop
environment, it's contributors, and it's licensing.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       gtk2-devel
Requires:       libxfce4util-devel
Requires:       glade-devel
Requires:       pkgconfig
Obsoletes:      libxfcegui4-devel < 4.10.0-9

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q
%patch10

%build
%configure --disable-static

export LD_LIBRARY_PATH="`pwd`/libxfce4ui/.libs"

%make_build

%install
%make_install

# fix permissions for installed libraries
chmod 755 %{buildroot}%{_libdir}/*.so

%find_lang %{name}

# Move xfce4-about to the 'Documentation' category
desktop-file-install \
  --delete-original \
  --remove-category=X-Xfce-Toplevel \
  --add-category=Documentation \
  --add-category=System \
  --dir=%{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/xfce4-about.desktop

%generate_compatibility_deps

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/%{namespc}-2.0.typelib
%{_datadir}/gir-1.0/%{namespc}-2.0.gir
%{_datadir}/vala/vapi/%{name}-2.deps
%{_datadir}/vala/vapi/%{name}-2.vapi
%license COPYING

%dir %{abidir}
%{abidir}/*.dump

%files -n xfce4-about
%{_bindir}/xfce4-about
%{_datadir}/applications/xfce4-about.desktop
%{_datadir}/icons/hicolor/*/apps/*xfce*
%{abidir}/xfce4-about-option.list

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/
%{_libdir}/glade/modules/lib*.so
%{_datadir}/glade/catalogs/%{name}*.xml*
%{_datadir}/glade/pixmaps/hicolor/*/actions/*

%files doc
%doc README.md ChangeLog AUTHORS NEWS THANKS TODO

%changelog
* Mon Dec 09 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.16.1-2
- Rebuild for remove inappropriate build dependencies.

* Fri Mar 17 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 4.16.1-1
- Init package from upstream
